View Issue Details

IDProjectCategoryView StatusLast Update
0006628mantisbtadministrationpublic2015-02-27 01:51
Reporternathanmx Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
Summary0006628: Skinning
Description

Really yo, you should allow this Mantis to be skinable and maybe outsource somebody to do the skin. The current look and feel is functional but Mantis needs an identity.

Tagsmockup, patch, redesign

Relationships

related to 0017919 closedsyncguru Modernize Mantis UI 
has duplicate 0012125 closedatrol Better skinning API 
has duplicate 0010864 closeddaryn skins for mantis! now! :D 
related to 0006671 closedryandesign Tracker themes, user selectable or not. 
related to 0007607 closedryandesign Easier style editing 
related to 0012339 new Design proposal for "View bug" to increase readability and reduce clutter 
related to 0012685 closedatrol Enhancement 
child of 0004227 acknowledged Roadmap 1.0 - Templates 

Activities

ryandesign

ryandesign

2006-01-25 10:29

reporter   ~0012019

Probably a duplicate of 0004227.

nathanmx

nathanmx

2006-01-25 15:42

reporter   ~0012022

This issue deals directly with establishing for Mantis an identity and giving it a personality. It is not a duplicate, but is related to the forementioned motion.

ryandesign

ryandesign

2006-01-25 19:40

reporter   ~0012023

Ok, then before anyone can be assigned to giving Mantis a facelift, the framework that would allow such a facelift must already be in place, hence 0004227 will need to be completed first.

stefanb

stefanb

2006-02-22 08:12

reporter   ~0012209

Last edited: 2006-02-22 08:33

@ryandesign: I do not think that it is necessary to have a presentation framework ready before one can start facelifting Mantis.

It might even be better to have a mockup ready before the framework designers begin their work so that they know what kind of functionality they have to provide.

I'll upload a mockup proposal for the "View issue" screen in a second. Keep in mind that this is not functional and might need some changes in other functionality before it can be implemented. It should only serve as a base for discussion.

And I know that the proposal is a bit grey-ish. That's by design because I want to add some icons here and there and too much colour (especially non-matching ones) hurt my eyes.

Oh, and I did not start any effort in making the CSS compatible with IE or Opera. So please watch it with Firefox or another Gecko-based browser

2006-02-22 08:13

 

look-n-feel-0.1.tar.gz (8,002 bytes)

2006-03-05 14:26

 

look-n-feel-0.2.tar.gz (8,525 bytes)
stefanb

stefanb

2006-03-05 14:27

reporter   ~0012281

Uploaded improved proposal which addresses most of ryan's issues described on mantis-dev mailing list. Please see included CHANGES file for details.

2006-03-18 04:38

 

look-n-feel-0.3.tar.gz (16,457 bytes)

2006-03-20 15:20

 

look-n-feel-0.4.tar.gz (19,989 bytes)
Jaap

Jaap

2006-03-22 07:30

reporter   ~0012397

I just wanted to share how i skinned my current mantis.

http://img138.imageshack.us/img138/332/mantistheme2mv.gif

(the language is dutch)

It should be a lot of work to update my installation :-p

davidnewcomb

davidnewcomb

2006-03-29 12:07

reporter   ~0012437

CSS Zen Garden is the best site I have seen which demonstrates what can be achieved with a content based layout:

http://www.csszengarden.com

Miraculously all the web pages in the "Select a design" section use the same HTML page. It shows there is more to changing a layout than just changing the colours. Also none of the pages use tables!

Amazing.

vboctor

vboctor

2006-04-10 10:16

manager   ~0012483

I agree that we don't need to implement a templates engine before we implement a face-lift for Mantis. But what you are proposing is a big changes, and sometimes people don't like such major changes, so I guess it will be hard to implement most of your suggestions until the templates are implemented and then we can have some built in the standard template and some in an alternate template.

I like Jaap's face lift, it keeps the current usability, but it enhances the look and feel. We can probably take a lot of things on board from stefan's work, but it won't be a big bang approach.

I totally agree about the need for a roadmap page, and I think there is an issue that captures this requirement.

stefanb

stefanb

2006-04-11 11:49

reporter   ~0012490

Last edited: 2006-04-11 16:02

I'm currently introducing some PHP magic into my mockups to fix some issues which seem to appear only with dynamic data. Additionally I'm implementing a real skin (based on the andreas09 theme, see http://www.oswd.org/design/preview/id/2493 ) instead of my plain boring home-made one.

From what I can say at the moment, it looks as if a "classic" version (with none or only a few minor adjustments to the current look and feel) would more or less only a CSS issue together with some minor PHP adjustments. So maybe the template guys could use some ideas from the next mockup release (especially the PHP part in it) as well.

Unfortunately, my resources are very tight at the moment and the current development snapshot is too broken to be releasable. So please do not expect the next release within the near future.

2006-04-17 09:47

 

look-n-feel-0.5.tar.gz (40,187 bytes)
stefanb

stefanb

2006-04-17 09:53

reporter   ~0012520

The next version of the mockup series has been attached. No changes have been made to the HTML part. However, a PHP version (which does not use any dynamic data at the moment) has been added in the 2.0 directory. You have to deploy it on a PHP-enabled webserver though.

Please keep in mind that this is not high quality code as it wasts a lot of memory, looks ugly as hell, and is lightyears away from being feature complete. But it should be good enough to serve as a proof of concept.

orb

orb

2009-08-21 08:16

reporter   ~0022793

I've created my own skin by modifying the stylesheets and images only but:

http://imagebin.ca/view/Vg6RmP.html
http://imagebin.ca/view/MCwfhWna.html

In order to be able to create proper skins I would like to contribute to the project and cleanup the templates to prepare mantis for many fancy skins (this includes porting it to valid xhtml markup). Oviously I'd like to create such a skin right away.

(If anyone is interested in my mini-skin let me know. So I can paste it somewhere)

oskar.berggren

oskar.berggren

2010-03-18 10:18

reporter   ~0024798

The primary need isn't prettier colors and gradient (though that could also be nice). What is really needed is a completely new take on the layout, and getting rid of the overuse of flat tables that just result in a hard to read property soup.

lecyt

lecyt

2010-03-19 07:23

reporter   ~0024813

@ORB

"(If anyone is interested in my mini-skin let me know. So I can paste it somewhere)"

I like your skin, its clean and simple but neat :) Could you please paste it somewhere?

alitvak

alitvak

2010-03-23 11:52

reporter   ~0024872

@orb

I like your skin as well. I was using umantis but the guy went away. I would like to use and contribute if possible.

kaystrobach

kaystrobach

2010-11-02 14:51

reporter   ~0027224

having the soap api. it should be quite easy to implement a javascript client / server application based on extjs. perhaps thats a solution for having a great style for all who want a fast modern interface and the old one for the classic guys ;)

on the other hand the development can be focused on the api and lateron the core can be refactored with having the same api for the js part as before.

vboctor

vboctor

2015-02-14 13:37

manager   ~0048827

The work in space space is captured by 0017919

Issue History

Date Modified Username Field Change
2006-01-23 18:23 nathanmx New Issue
2006-01-25 10:29 ryandesign Note Added: 0012019
2006-01-25 10:30 ryandesign Relationship added related to 0004227
2006-01-25 15:42 nathanmx Note Added: 0012022
2006-01-25 19:30 ryandesign Relationship deleted related to 0004227
2006-01-25 19:36 ryandesign Relationship added child of 0004227
2006-01-25 19:40 ryandesign Note Added: 0012023
2006-02-06 07:24 ryandesign Relationship added related to 0006671
2006-02-22 08:12 stefanb Note Added: 0012209
2006-02-22 08:13 stefanb File Added: look-n-feel-0.1.tar.gz
2006-02-22 08:33 stefanb Note Edited: 0012209
2006-03-05 14:26 stefanb File Added: look-n-feel-0.2.tar.gz
2006-03-05 14:27 stefanb Note Added: 0012281
2006-03-18 04:38 stefanb File Added: look-n-feel-0.3.tar.gz
2006-03-20 15:20 stefanb File Added: look-n-feel-0.4.tar.gz
2006-03-22 07:30 Jaap Note Added: 0012397
2006-03-29 12:07 davidnewcomb Note Added: 0012437
2006-04-10 10:16 vboctor Note Added: 0012483
2006-04-11 11:49 stefanb Note Added: 0012490
2006-04-11 16:02 stefanb Note Edited: 0012490
2006-04-17 09:47 stefanb File Added: look-n-feel-0.5.tar.gz
2006-04-17 09:53 stefanb Note Added: 0012520
2006-11-18 01:09 ryandesign Relationship added related to 0007607
2009-08-21 08:16 orb Note Added: 0022793
2010-03-18 10:18 oskar.berggren Note Added: 0024798
2010-03-19 07:23 lecyt Note Added: 0024813
2010-03-23 11:52 alitvak Note Added: 0024872
2010-06-30 15:51 atrol Relationship added has duplicate 0012125
2010-09-17 22:37 dhx Tag Attached: mockup
2010-09-28 02:37 atrol Relationship added related to 0012339
2010-09-28 19:56 daryn Tag Attached: redesign
2010-11-02 14:51 kaystrobach Note Added: 0027224
2010-11-10 20:03 daryn Relationship added has duplicate 0010864
2011-01-14 13:53 atrol Relationship added related to 0012685
2014-11-25 11:36 vboctor Relationship added related to 0017919
2014-11-25 11:36 vboctor Tag Attached: patch
2015-02-14 13:37 vboctor Assigned To => vboctor
2015-02-14 13:37 vboctor Status new => resolved
2015-02-14 13:37 vboctor Resolution open => won't fix
2015-02-14 13:37 vboctor Note Added: 0048827
2015-02-27 01:51 atrol Status resolved => closed